OTP::Transform::Point::address Struct Reference

The address struct. More...

`#include <transform.h>`

Inheritance diagram for OTP::Transform::Point::address:
[legend]

## Public Member Functions

size_t | streamSize () const override
| streamSize More...
void | iStream (PDU::Stream) override
| address::iStream More...
void | oStream (PDU::Stream) const override
| address::oStream More...
Public Member Functions inherited from ACN::PDU::pdu_stream_object
virtual void | iStream (Stream)=0
| fill structure data from input stream
virtual void | oStream (Stream) const =0
| write structure data to output stream

## Public Attributes

uint8_t | system
| system referance number
uint16_t | group
| group referance number
uint32_t | point
| point referance number

## Detailed Description

The address struct.

## Member Function Documentation

## iStream()

void OTP::Transform::Point::address::iStream | ( | PDU::Stream | stream | ) |

override

address::iStream

Parameters

  stream |

## oStream()

void OTP::Transform::Point::address::oStream | ( | PDU::Stream | stream | ) | const

override

address::oStream

Parameters

  stream |

## streamSize()

size_t OTP::Transform::Point::address::streamSize | ( |  | ) | const

inlineoverridevirtual

streamSize

Returns
  length (count of octets) on the wire

Implements ACN::PDU::pdu_stream_object.

Here is the caller graph for this function:

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/otp/transform.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/otp/transform.cpp